#!/bin/sh

show_help(){
  echo "
  using install.sh: 
  install.sh [arguments]:

  select [arguments] from:
  kc1 - install kc1 packages (by default)
  kc2 - install kc2 packages
"
}

enclosure=kc1
case $1 in
""|kc1)
  enclosure=kc1
;;
kc2)
  enclosure=kc2
;;
"-help")
  show_help
  exit 0
;;
"--help")
  show_help
  exit 0
;;
*)
  echo "usage: install.sh [kc1|kc2]"
  exit 1
;;
esac

echo N | pkg --version > /dev/null || exit 1

cd `dirname $0`
/bin/sh ./uninstall.sh || exit $?

case `uname -m` in
x86_64|amd64)
  ARG=64
  ;;
*)
  ;;
esac

uname -a | grep "FreeBSD 10" > /dev/null
if test $? -eq 0; then
  pkg_add_command="/usr/sbin/pkg add"
else
  uname -a | grep "FreeBSD 11" > /dev/null
  if test $? -eq 0; then
    pkg_add_command="/usr/sbin/pkg install -y"
  else
    pkg_add_command="/usr/sbin/pkg_add"
  fi
fi

echo "Installing CPRObase..."
$pkg_add_command cpro-base-4.0.0_0.tbz || exit $?

list="cpro-rdr cpro-capilite cpro-$enclosure cpro-curl"
for i in $list; do
  if test x$ARG = x64 && [ -e cpro-rdr-64-4.0.0_0.tbz ]; then
    i="${i}-64"
  fi

  echo "Installing $i..."
  $pkg_add_command $i-4.0.0_0.tbz || exit $?
done

